[support] rix's Docker Repository


rix

263 posts in this topic Last Reply

Recommended Posts

On 5/12/2020 at 7:57 AM, CSeK said:

That cmd works for me within user scripts. Just had an update yesterday to user scripts though. Didn't test before.

Thank you its not working for me i get the following 

image.thumb.png.6b3c9fa01da9db13167e27ed7d8fe1a8.png

 

using it like this 

image.png.7463a866c0db58d9032b90a692e66f34.png

 

What am i doing wrong? 

Link to post
  • Replies 262
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

rix's Repository https://github.com/rix1337/docker-templates   Some of my containers are based on linuxserver.io's alpine baseimages. Support their cause at https://www.linuxserver.io/donati

Any apostrophes or the like in the username / password?

Thank you for your response! It looks like that was a hardware failure on my end that appears any time I try to rip one particular CD. Thank you though! I'll look into ways to modify the .sh file to

Posted Images

I am a complete Newbie to Unraid, Dockers, and Linux. I know enough to type, copy and paste. It really is a new wonderland and I am trying to learn as fast as I can. I saw this Docker and thought, amazing!!! I went through all the steps of creating the client_secret.json file and put it in the directory I think its asking for, but I keep getting errors.(see below) I am 100% sure its me and not anything else, just looking for help.  Thanks in advance...

 

root@NAS:~# docker exec -it GooglePhotosSync gphotos-sync /storage
05-27 08:08:10 WARNING  gphotos-sync 2.14.0 2020-05-27 08:08:10.207023 
missing or bad secrets file: /root/.config/gphotos-sync/client_secret.json
05-27 08:08:10 ERROR    
Process failed. 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gphotos/authorize.py", line 44, in __init__
    with secrets_file.open("r") as stream:
  File "/usr/lib/python3.6/pathlib.py", line 1183, in open
    opener=self._opener)
  File "/usr/lib/python3.6/pathlib.py", line 1037, in _opener
    return self._accessor.open(self, flags, mode)
  File "/usr/lib/python3.6/pathlib.py", line 387, in wrapped
    return strfunc(str(pathobj), *args)
FileNotFoundError: [Errno 2] No such file or directory: '/root/.config/gphotos-sync/client_secret.json'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 417, in main
    self.setup(args, db_path)
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 282, in setup
    scope, credentials_file, secret_file, int(args.max_retries)
  File "/usr/lib/python3.6/site-packages/gphotos/authorize.py", line 58, in __init__
    exit(1)
  File "/usr/lib/python3.6/_sitebuiltins.py", line 26, in __call__
    raise SystemExit(code)
SystemExit: 1
05-27 08:08:10 WARNING  Done.

Link to post
2 hours ago, kalelzone said:

I am a complete Newbie to Unraid, Dockers, and Linux. I know enough to type, copy and paste. It really is a new wonderland and I am trying to learn as fast as I can. I saw this Docker and thought, amazing!!! I went through all the steps of creating the client_secret.json file and put it in the directory I think its asking for, but I keep getting errors.(see below) I am 100% sure its me and not anything else, just looking for help.  Thanks in advance...

 

root@NAS:~# docker exec -it GooglePhotosSync gphotos-sync /storage
05-27 08:08:10 WARNING  gphotos-sync 2.14.0 2020-05-27 08:08:10.207023 
missing or bad secrets file: /root/.config/gphotos-sync/client_secret.json
05-27 08:08:10 ERROR    
Process failed. 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gphotos/authorize.py", line 44, in __init__
    with secrets_file.open("r") as stream:
  File "/usr/lib/python3.6/pathlib.py", line 1183, in open
    opener=self._opener)
  File "/usr/lib/python3.6/pathlib.py", line 1037, in _opener
    return self._accessor.open(self, flags, mode)
  File "/usr/lib/python3.6/pathlib.py", line 387, in wrapped
    return strfunc(str(pathobj), *args)
FileNotFoundError: [Errno 2] No such file or directory: '/root/.config/gphotos-sync/client_secret.json'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 417, in main
    self.setup(args, db_path)
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 282, in setup
    scope, credentials_file, secret_file, int(args.max_retries)
  File "/usr/lib/python3.6/site-packages/gphotos/authorize.py", line 58, in __init__
    exit(1)
  File "/usr/lib/python3.6/_sitebuiltins.py", line 26, in __call__
    raise SystemExit(code)
SystemExit: 1
05-27 08:08:10 WARNING  Done.

Having the same issue as well

Link to post

OK, after adding the json file to the GooglePhotosSync folder I got this... Improvement but not quite there.

 

root@NAS:~# docker exec -it GooglePhotosSync gphotos-sync /storage
05-27 12:00:53 WARNING  gphotos-sync 2.14.0 2020-05-27 12:00:53.063762 
05-27 12:00:53 ERROR    
Process failed. 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 417, in main
    self.setup(args, db_path)
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 282, in setup
    scope, credentials_file, secret_file, int(args.max_retries)
  File "/usr/lib/python3.6/site-packages/gphotos/authorize.py", line 46, in __init__
    secrets = all_json["installed"]
KeyError: 'installed'
05-27 12:00:53 WARNING  Done. 

Link to post
On 5/27/2020 at 7:02 PM, kalelzone said:

OK, after adding the json file to the GooglePhotosSync folder I got this... Improvement but not quite there.

 

root@NAS:~# docker exec -it GooglePhotosSync gphotos-sync /storage
05-27 12:00:53 WARNING  gphotos-sync 2.14.0 2020-05-27 12:00:53.063762 
05-27 12:00:53 ERROR    
Process failed. 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 417, in main
    self.setup(args, db_path)
  File "/usr/lib/python3.6/site-packages/gphotos/Main.py", line 282, in setup
    scope, credentials_file, secret_file, int(args.max_retries)
  File "/usr/lib/python3.6/site-packages/gphotos/authorize.py", line 46, in __init__
    secrets = all_json["installed"]
KeyError: 'installed'
05-27 12:00:53 WARNING  Done. 

Ensure you do the initial setup exactly as described here. https://github.com/rix1337/docker-gphotos-sync

Your error messages indicate you either did not pass through the config dir as described or did not provide the secrets as required. Also ensure you run the command with the correct options.

Link to post
On 5/27/2020 at 9:17 PM, akshunj said:

I have been trying to adapt the Whipper docker for unRAID, and have failed miserably.  @rix if you could add it to the Ripper docker, that would be a huge win. Thanks

I will only support ripit. You can however modify ripper.sh to your liking.

 

A pending PR will switch the ripit backend to musicbrainz, so no reason to move to another tool afaik.

Link to post

I just just tried using Ripper with unRAID but I revived this error (I am guessing the Beta key has expired as I have read from other forums that this key expired end of May) unless I have understood it wrong

 

MSG:5021,260,1,"This application version is too old. Please download the latest version at http://www.makemkv.com/ or enter a registration key to continue using the current version.","This application version is too old. Please download the latest version at %1 or enter a registration key to continue using the current version.","http://www.makemkv.com/"

Link to post
3 hours ago, Chris173972 said:

I just just tried using Ripper with unRAID but I revived this error (I am guessing the Beta key has expired as I have read from other forums that this key expired end of May) unless I have understood it wrong

 

MSG:5021,260,1,"This application version is too old. Please download the latest version at http://www.makemkv.com/ or enter a registration key to continue using the current version.","This application version is too old. Please download the latest version at %1 or enter a registration key to continue using the current version.","http://www.makemkv.com/"

Please make sure you have read the readme.

https://github.com/rix1337/docker-ripper/blob/master/README.md#makemkv-needs-an-update

 

I have just triggered a build that should update to the latest release.

Link to post

So for ripper i'm getting eject issues - the disc rips - it moves the files to finished - says eject and never does and then just keeps ripping the disc over and over again

I see this in the log 

eject: tried to use `devtmpfs' as device name but it is no block device
eject: unable to find or open device for: `/dev/sr0'

 

I have done a reboot to my unraid server - i'm using an external usb dvd drive

 

Edit: here is my devices 
image.png.5e649d261fd1f6bd024ea6a5ce5c16f6.png

Edited by mcrommert
Link to post
4 minutes ago, mcrommert said:

So for ripper i'm getting eject issues - the disc rips - it moves the files to finished - says eject and never does and then just keeps ripping the disc over and over again

I see this in the log 

eject: tried to use `devtmpfs' as device name but it is no block device
eject: unable to find or open device for: `/dev/sr0'

 

I have done a reboot to my unraid server - i'm using an external usb dvd drive

 

Edit: here is my devices 
image.png.5e649d261fd1f6bd024ea6a5ce5c16f6.png

I am afraid "eject" will not work from within docker for your external drive. You need to find an alternative and replace the eject command in ripper.sh

Link to post
17 minutes ago, rix said:

I am afraid "eject" will not work from within docker for your external drive. You need to find an alternative and replace the eject command in ripper.sh

Strange - I did a different dvd and it seemed to work

 

will look for another solution

Link to post
Just now, mcrommert said:

Strange - I did a different dvd and it seemed to work

 

will look for another solution

Let me know, if you find out what caused this.

Link to post
  • 2 weeks later...

So, my cache drive failed and at present I don't have a replacement.

I started to re add the containers and added Google Music Manager.  It setups up ok using the default "net-host", I VNC'd in and logged in with my google email address, password and authorised 'is this me' from my phone but then after that gives me a Couldn't connect to Google Play:

 

image.png.2ff7500f2e52332174dbb552726a14ab.png

 

I've rechecked my email login details and they are correct. I do have an internet connection so no sure why I am getting this now.
Prior to my cache issue all was fine, what else can I check any ideas of a fix?

 

Link to post

So I'm a complete noob at this but have managed to get a plex server up and running succesfully (after failing with freenas and linux). I have installed ripper.

 

Ripper is working.

As in, i put a CD in and it rips audio to flac and mp3 (although no tracks or albums get named) and then it ejects the disc when finished.

My problem is about every 10 minutes the CDRW drawer opens like its wanting me to feed it CDs. My CDWR is behind a cover door si it cant opeen fully.

 

How do io stop the CDRW drawer opening by itself

Link to post
On 6/17/2020 at 12:31 PM, GFRoSTY said:

So, my cache drive failed and at present I don't have a replacement.

I started to re add the containers and added Google Music Manager.  It setups up ok using the default "net-host", I VNC'd in and logged in with my google email address, password and authorised 'is this me' from my phone but then after that gives me a Couldn't connect to Google Play:

 

image.png.2ff7500f2e52332174dbb552726a14ab.png

 

I've rechecked my email login details and they are correct. I do have an internet connection so no sure why I am getting this now.
Prior to my cache issue all was fine, what else can I check any ideas of a fix?

 

For me it is working. AFAIK there appear to be issues if the app cannot read your mac address. No idea why it would not run on your end.

 

Mine is working right now, but I have not relogged in for a few years.

grafik.png.bb311755dceb93c5f001868c24ae805b.png

Link to post
1 hour ago, Jimjam said:

So I'm a complete noob at this but have managed to get a plex server up and running succesfully (after failing with freenas and linux). I have installed ripper.

 

Ripper is working.

As in, i put a CD in and it rips audio to flac and mp3 (although no tracks or albums get named) and then it ejects the disc when finished.

My problem is about every 10 minutes the CDRW drawer opens like its wanting me to feed it CDs. My CDWR is behind a cover door si it cant opeen fully.

 

How do io stop the CDRW drawer opening by itself

Not without much more info. A log would be a great starting point.

Link to post
3 hours ago, rix said:

For me it is working. AFAIK there appear to be issues if the app cannot read your mac address. No idea why it would not run on your end.

 

Mine is working right now, but I have not relogged in for a few years.

grafik.png.bb311755dceb93c5f001868c24ae805b.png

hmm ok, I 'll have a look at the network bits and see if I can get any further in diags and fix.

Link to post

Issue with Ripper connecting to cddb db:

 

I have been using Ripper for a while now and have not had any issues with it, ripping CD's, DVD's etc. works amazingly well. I however have noticed in the past few days an error in the log file regarding connecting to cddb db:

 

No connection to internet? The error message is:
cannot connect to cddb db:
freedb.freedb.org:8880 [Invalid argument] at
/usr/share/perl5/CDDB_get.pm line 310.

 

This also has the by-product of labeling all audio CDs being ripped as "Unknown Artist" etc. track listings etc.

 

cddb_db_pingtest.png.e8e5f70693a844032483480aa9508f66.png

 

the site appears up from a simple ping test.

 

Anyone else having this issue?

 

Thank You

Link to post
On 6/21/2020 at 3:31 PM, Ceter Pushing said:

Issue with Ripper connecting to cddb db:

This also has the by-product of labeling all audio CDs being ripped as "Unknown Artist" etc. track listings etc.

Anyone else having this issue?

YES. Im having this issue/ Everything is Unknown Artist > Unknown Album > No Track Names

Link to post
  • 2 weeks later...

Using Ripper...  Works pretty good for DVDs.  The only issue that I'm having is if I forget to come a get my ejected DVD, at some point the DVD drive will automatically close again and start ripping the same DVD over and over...

 

Any idea on how to stop the drive from automatically closing once it ejects?

 

Quote

11.07.2020 00:43:22 : DVD detected: Saving MKV
mv: cannot move '/out/Ripper/DVD/TRANSFORMERS_BOXED_SET_3' to '/out/Ripper/DVD/finished/TRANSFORMERS_BOXED_SET_3': Directory not empty
11.07.2020 00:54:15 : Done! Ejecting Disk
11.07.2020 00:55:30 : Disk tray open
11.07.2020 00:56:40 : Disk tray open
11.07.2020 00:57:50 : Disk tray open
11.07.2020 00:59:01 : Disk tray open
11.07.2020 01:00:11 : Disk tray open
11.07.2020 01:01:22 : Disk tray open
11.07.2020 01:02:25 : Disk tray open
11.07.2020 01:03:35 : Disk tray open
11.07.2020 01:04:46 : Disk tray open
11.07.2020 01:06:00 : DVD detected: Saving MKV
mv: cannot move '/out/Ripper/DVD/TRANSFORMERS_BOXED_SET_3' to '/out/Ripper/DVD/finished/TRANSFORMERS_BOXED_SET_3': Directory not empty
11.07.2020 01:16:53 : Done! Ejecting Disk
11.07.2020 01:18:08 : Disk tray open
11.07.2020 01:19:19 : Disk tray open
11.07.2020 01:20:29 : Disk tray open
11.07.2020 01:21:40 : Disk tray open
11.07.2020 01:22:50 : Disk tray open
11.07.2020 01:24:01 : Disk tray open
11.07.2020 01:25:11 : Disk tray open
11.07.2020 01:26:21 : Disk tray open
11.07.2020 01:27:32 : Disk tray open
11.07.2020 01:28:45 : DVD detected: Saving MKV
mv: cannot move '/out/Ripper/DVD/TRANSFORMERS_BOXED_SET_3' to '/out/Ripper/DVD/finished/TRANSFORMERS_BOXED_SET_3': Directory not empty
11.07.2020 01:39:42 : Done! Ejecting Disk
11.07.2020 01:40:57 : Disk tray open
11.07.2020 01:42:07 : Disk tray open
11.07.2020 01:43:18 : Disk tray open
11.07.2020 01:44:28 : Disk tray open
11.07.2020 01:45:39 : Disk tray open
11.07.2020 01:46:49 : Disk tray open
11.07.2020 01:48:00 : Disk tray open
11.07.2020 01:49:11 : Disk tray open
11.07.2020 01:50:21 : Disk tray open
11.07.2020 01:51:34 : DVD detected: Saving MKV
mv: cannot move '/out/Ripper/DVD/TRANSFORMERS_BOXED_SET_3' to '/out/Ripper/DVD/finished/TRANSFORMERS_BOXED_SET_3': Directory not empty
11.07.2020 02:02:31 : Done! Ejecting Disk
11.07.2020 02:03:46 : Disk tray open
11.07.2020 02:04:56 : Disk tray open
11.07.2020 02:06:07 : Disk tray open
11.07.2020 02:07:17 : Disk tray open
11.07.2020 02:08:28 : Disk tray open
11.07.2020 02:09:38 : Disk tray open
11.07.2020 02:10:48 : Disk tray open
11.07.2020 02:11:59 : Disk tray open
11.07.2020 02:13:09 : Disk tray open
11.07.2020 02:14:23 : DVD detected: Saving MKV

 

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.